KX(1)

NAME
kx - securely forward X conections

SYNOPSIS
kx [-l username] [-k] [-d] [-t] [-p port] [-P] host

DESCRIPTION
The kx program forwards an X connection from a remote client to a local screen through an authenticated and encrypted stream. Options supported by kx:

-l  Log in on the remote the host as user username.

-k  Do not enable keep-alives on the TCP connections.

-d  Do not fork. This is mainly useful for debugging.

-t  Listen not only on a UNIX-domain socket but on a TCP socket as well.

-p  Use the port port.

-P  Force passive mode.

This program is used by rxtelnet and rxterm and you should not need to run it directly.

It connects to a kxd on the host host and then will relay the traffic from the remote X clients to the local server. When started, it prints the display and Xauthority-file to be used on host host and then goes to the background, waiting for connections from the remote kxd.

SEE ALSO
rxtelnet(1), rxterm(1), kxd(8)